LFR-FSW - Bug #811

Analyse Logiscope LFR_3.1.0.4 : metric Comment frequency
19/10/2016 03:26 PM - William Recart

Status: Closed Start date: 19/10/2016
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Le taux de commentaire doit étre > 15% par fonction

Le métrique "Comment frequency" est non respectée dans 17.39% des cas :
ASM_reorganize_and_divide (float*, float*, float)
get_message_queue_id_send (rtems_id*)
get_message_queue_id_recv (rtems_id*)
get_message_queue_id_prc0 (rtems_id*)
get_message_queue_id_prc1 (rtems_id*)
get_message_queue_id_prc2 (rtems_id*)
update_queue_max_count (rtems_id, unsignedchar®)
init_k_coefficients_prc2 (void)

reset_nb_sm_f1 (unsignedchar)

init_k_coefficients_prc1 (void)

reset_nb_sm_f0 (unsignedchar)

init_k_coefficients_prc0 (void)

getRingNodeToSendSWF (unsignedchar)
reset_extractSWF (void)

waveforms_isr_burst (void)
WFP_reset_current_ring_nodes (void)
compute_acquisition_time (unsignedint, unsignedint, unsignedint, unsignedchar, unsignedchar*)
applyCorrection (double)

set_wfp_delta_f0_f0_2 (void)
check_update_info_hk_tds_mode (unsignedchar)
check_update_info_hk_thr_mode (unsignedchar)
build_sy_lfr_rw_masks (void)

merge_fbins_masks (void)

copyFloatByChar (unsignedchar*, unsignedchar*)
floatToChar (float, unsignedchar*)
init_kcoefficients_dump (void)

restart_asm_activities (unsignedchar)
launch_spectral_matrix (void)

setCalibrationData (void)

setCalibrationDatalnterleaved (void)

setCalibration (bool)

reset_Ifr (void)

tc_check_length (unsignedchar, unsignedint)
update_hk_lfr_last_er_fields (unsignedint, unsignedchar)
check_timecode_and_internal_time_coherency (unsignedchar, unsignedchar)
init_header_asm (Header_TM_LFR_SCIENCE_ASM_t*)
getRingNodeForAveraging (unsignedchar)
ASM_generic_init_ring (ring_node_asm*, unsignedchar)
SM_reset_current_ring_nodes (void)

set_time (unsignedchar*, unsignedchar*)
extractRelmVectors (float*, float*, unsignedint)
copyReVectors (float*, float*, unsignedint)

getFBinMask (int, unsignedchar)
init_kcoeff_sbm_from_kcoeff_norm (float*, float*, unsignedchar)
send_dumb_hk (void)

get v_el_e2 {3 (unsignedchar®)
History

#1 - 19/10/2016 03:27 PM - William Recart

Les taux de commentaires des fonctions impactées sont les suivants:
ASM_reorganize_and_divide (float*, float*, float) 0.10
get_message_queue_id_send (rtems_id*)  0.00
get_message_queue_id_recv (rtems_id*)  0.00
get_message_queue_id_prc0 (rtems_id*)  0.00
get_message_queue_id_prc1 (rtems_id*)  0.00
get_message_queue_id_prc2 (rtems_id*)  0.00
update_queue_max_count (rtems_id, unsignedchar*)  0.13
init_k_coefficients_prc2 (void) 0.00

reset_nb_sm_f1 (unsignedchar) 0.13
init_k_coefficients_prc1 (void) 0.00

reset_nb_sm_f0 (unsignedchar) 0.14

init_k_coefficients_prc0 (void) 0.00
getRingNodeToSendSWF (unsignedchar)  0.00
reset_extractSWF (void)  0.00

waveforms_isr_burst (void) 0.12
WFP_reset_current_ring_nodes (void) 0.00
compute_acquisition_time (unsignedint, unsignedint, unsignedint, unsignedchar, unsignedchar*)  0.05
applyCorrection (double) 0.00

set_wfp_delta_f0_f0_2 (void) 0.11
check_update_info_hk_tds_mode (unsignedchar) 0.00
check_update_info_hk_thr_mode (unsignedchar) 0.00
build_sy_lIfr_rw_masks (void) 0.00

merge_fbins_masks (void) 0.00

copyFloatByChar (unsignedchar*, unsignedchar*)  0.00
floatToChar (float, unsignedchar*)  0.00
init_kcoefficients_dump (void)  0.00

restart_asm_activities (unsignedchar)  0.00
launch_spectral_matrix (void) 0.00

setCalibrationData (void)  0.11

setCalibrationDatalnterleaved (void) 0.10

setCalibration (bool)  0.00

reset_lfr (void) 0.00

tc_check_length (unsignedchar, unsignedint)  0.13
update_hk_lfr_last_er_fields (unsignedint, unsignedchar) 0.00
check_timecode_and_internal_time_coherency (unsignedchar, unsignedchar)  0.00
getRingNodeForAveraging (unsignedchar)  0.08
ASM_generic_init_ring (ring_node_asm*, unsignedchar)  0.00
SM_reset_current_ring_nodes (void)  0.00

set_time (unsignedchar*, unsignedchar*)  0.00
extractRelmVectors (float*, float*, unsignedint)  0.00
copyReVectors (float*, float*, unsignedint)  0.00

getFBinMask (int, unsignedchar)  0.06
init_kcoeff_sbm_from_kcoeff_norm (float*, float*, unsignedchar)  0.00
get_v_el_e2 f3 (unsignedchar*) 0.00

#2 - 13/01/2017 05:09 PM - William Recart
Vérification effectuée sur le tag 322 (c0603702¢8c8) :

Le métrique est non respectée dans 17.12% des cas :
ASM_reorganize_and_divide (float*, float*, float) => 0.08
check_update_info_hk_tds_mode (unsignedchar) => 0.00
check_update_info_hk_thr_mode (unsignedchar) => 0.00
build_sy_lfr_rw_masks (void) => 0.00

merge_fbins_masks (void) => 0.00

copyFloatByChar (unsignedchar*, unsignedchar*) => 0.00
floatToChar (float, unsignedchar*) => 0.00
init_kcoefficients_dump (void) => 0.00

restart_asm_activities (unsignedchar) => 0.00
launch_spectral_matrix (void) => 0.00

setCalibration (bool) => 0.00

reset_lfr (void) => 0.00

tc_check_length (unsignedchar, unsignedint) => 0.13
update_hk_lfr_last_er_fields (unsignedint, unsignedchar) => 0.00
check_timecode_and_internal_time_coherency (unsignedchar, unsignedchar) => 0.00
getRingNodeForAveraging (unsignedchar) => 0.08
ASM_generic_init_ring (ring_node_asm*, unsignedchar) => 0.00
SM_reset_current_ring_nodes (void) => 0.00

set_time (unsignedchar*, unsignedchar*) => 0.00
extractRelmVectors (float*, float*, unsignedint) => 0.00
copyReVectors (float*, float*, unsignedint) => 0.00
getFBinMask (int, unsignedchar) => 0.06
init_kcoeff_sbm_from_kcoeff_norm (float*, float*, unsignedchar) => 0.00
send_dumb_hk (void) => 0.14

get_v_el_e2 f3 (unsignedchar*) => 0.00

increment_hk_counter (unsignedchar, unsignedchar, unsignedint®) => 0.00
get_message_queue_id_send (rtems_id*) => 0.00
get_message_queue_id_recv (rtems_id*) => 0.00
get_message_queue_id_prc0 (rtems_id*) => 0.00
get_message_queue_id_prc1 (rtems_id*) => 0.00
get_message_queue_id_prc2 (rtems_id*) => 0.00
update_queue_max_count (rtems_id, unsignedchar*) => 0.11
init_k_coefficients_prc2 (void) => 0.00

reset_nb_sm_f1 (unsignedchar) => 0.13

init_k_coefficients_prc1 (void) => 0.00

reset_nb_sm_f0 (unsignedchar) => 0.14

init_k_coefficients_prc0 (void) => 0.00

getRingNodeToSendSWF (unsignedchar) => 0.00

reset_extractSWF (void) => 0.00

waveforms_isr_burst (void) => 0.12

WFP_reset_current_ring_nodes (void) => 0.00

compute_acquisition_time (unsignedint, unsignedint, unsignedint, unsignedchar, unsignedchar*) => 0.05

applyCorrection (double) => 0.00
set_wfp_delta_f0_f0_2 (void) => 0.11

#3 - 26/04/2017 02:48 PM - William Recart

Satus on FSW V3.2.0.15 : still opened : metric not respected for 19.10%
ASM_reorganize_and_divide (float*, float*, float) 0.08
getRingNodeForAveraging (unsignedchar)  0.08
ASM_generic_init_ring (ring_node_asm*, unsignedchar)  0.00
SM_reset_current_ring_nodes (void)  0.00

set_time (unsignedchar*, unsignedchar*)  0.00

extractRelmVectors (float*, float*, unsignedint)  0.00

copyReVectors (float*, float*, unsignedint)  0.00

getFBinMask (int, unsignedchar)  0.06

acquisitionTimelsValid (unsignedint, unsignedint, unsignedchar)  0.11
init_kcoeff_sbm_from_kcoeff_norm (float*, float*, unsignedchar)  0.00
filter (int, filter_ctx*)  0.06

send_dumb_hk (void) 0.14

get_v_el1_e2_f3 (unsignedchar*)  0.00

increment_hk_counter (unsignedchar, unsignedchar, unsignedint*)  0.00
get_message_queue_id_send (rtems_id*)  0.00
get_message_queue_id_recv (rtems_id*)  0.00
get_message_queue_id_prc0 (rtems_id*)  0.00
get_message_queue_id_prc1 (rtems_id*)  0.00
get_message_queue_id_prc2 (rtems_id*)  0.00
update_queue_max_count (rtems_id, unsignedchar*)  0.11
init_k_coefficients_prc2 (void) 0.00

reset_nb_sm_f1 (unsignedchar) 0.13

init_k_coefficients_prc1 (void) 0.00

reset_nb_sm_f0 (unsignedchar) 0.14

init_k_coefficients_prc0 (void) 0.00

getRingNodeToSendSWF (unsignedchar)  0.00

reset_extractSWF (void) 0.00

waveforms_isr_burst (void) 0.12

WFP_reset_current_ring_nodes (void) 0.00
compute_acquisition_time (unsignedint, unsignedint, unsignedint, unsignedchar, unsignedchar*)
applyCorrection (double)  0.00

set_wfp_delta_f0_f0_2 (void) 0.00
check_update_info_hk_tds_mode (unsignedchar) 0.00
check_update_info_hk_thr_mode (unsignedchar)  0.00
set_hk_lIfr_sc_rw_f_flag (unsignedchar, unsignedchar, float) 0.03
check_sy_lfr_rw_f (ccsdsTelecommandPacket_t*, int, int*, float*)  0.00
build_sy_lfr_rw_mask (unsignedint) 0.13

build_sy_lIfr_rw_masks (void) 0.00

merge_fbins_masks (void) 0.00

copyFloatByChar (unsignedchar*, unsignedchar*)  0.00
copyInt32ByChar (unsignedchar*, unsignedchar*)  0.00
copyInt16ByChar (unsignedchar*, unsignedchar*)  0.00

floatToChar (float, unsignedchar*)  0.00

init_kcoefficients_dump (void)  0.00

restart_asm_activities (unsignedchar)  0.00

launch_spectral_matrix (void) 0.00

setCalibration (bool)  0.00

reset_lfr (void) 0.00

13/03/2024

0.05

3/5



tc_check_length (unsignedchar, unsignedint)  0.13
update_hk_lfr_last_er_fields (unsignedint, unsignedchar) 0.00

check_timecode_and_internal_time_coherency (unsignedchar, unsignedchar)  0.00

#4 - 14/05/2017 05:44 PM - William Recart

- Status changed from New to Resolved

RFW submitted : RPW-MEB-LFR-RFW-00255-LPP

#5 - 02/10/2018 05:54 PM - William Recart
RPW-MEB-LFR-RFW-00255-LPP Rejected on 20/07/2017

#6 - 03/10/2018 06:18 PM - William Recart

- Assignee changed from paul leroy to Alexis Jeandet

Satus on FSW V3.2.0.21 : still opened : metric not respected for 17.04% :
Ifr_rtems_cpu_usage_report (void) 0.04

tc_check_length (unsignedchar, unsignedint) 0.13
ASM_reorganize_and_divide (float*, float*, float) 0.08
restart_asm_activities (unsignedchar) 0.00
launch_spectral_matrix (void) 0.00

setCalibration (bool) 0.00

reset_lfr (void) 0.00

check_update_info_hk_tds_mode (unsignedchar) 0.00
check_update_info_hk_thr_mode (unsignedchar) 0.00
set_hk_lIfr_sc_rw_f_flag (unsignedchar, unsignedchar, float) 0.03
check_sy_lfr_rw_f (ccsdsTelecommandPacket_t*, int, int*, float*) 0.00
build_sy_lfr_rw_mask (unsignedint) 0.13

build_sy_lIfr_rw_masks (void) 0.00

merge_fbins_masks (void) 0.00

copyFloatByChar (unsignedchar*, unsignedchar*) 0.00
copyInt32ByChar (unsignedchar*, unsignedchar*) 0.00
copyInt16ByChar (unsignedchar*, unsignedchar*) 0.00
floatToChar (float, unsignedchar*) 0.00

init_kcoefficients_dump (void) 0.00

getRingNodeToSendSWF (unsignedchar) 0.00
reset_extractSWF (void) 0.00

waveforms_isr_burst (void) 0.12
WFP_reset_current_ring_nodes (void) 0.00

compute_acquisition_time (unsignedint, unsignedint, unsignedint, unsignedchar, unsignedchar*) 0.05

applyCorrection (double) 0.00

set_wfp_delta_f0_f0_2 (void) 0.00

reset_nb_sm_f0 (unsignedchar) 0.14

init_k_coefficients_prc0 (void) 0.00

reset_nb_sm_f1 (unsignedchar) 0.13

init_k_coefficients_prc1 (void) 0.00

init_k_coefficients_prc2 (void) 0.00

get_message_queue_id_send (rtems_id*) 0.00
get_message_queue_id_recv (rtems_id*) 0.00
get_message_queue_id_prc0 (rtems_id*) 0.00
get_message_queue_id_prc1 (rtems_id*) 0.00
get_message_queue_id_prc2 (rtems_id*) 0.00

get_v_el1_e2 f3 (unsignedchar*) 0.00

increment_hk_counter (unsignedchar, unsignedchar, unsignedint*) 0.00
getRingNodeForAveraging (unsignedchar) 0.08
ASM_generic_init_ring (ring_node_asm*, unsignedchar) 0.00
SM_reset_current_ring_nodes (void) 0.00

set_time (unsignedchar*, unsignedchar*) 0.00

getFBinMask (int, unsignedchar) 0.06
init_kcoeff_sbm_from_kcoeff_norm (float*, float*, unsignedchar) 0.00
update_hk_lfr_last_er_fields (unsignedint, unsignedchar) 0.00
check_timecode_and_internal_time_coherency (unsignedchar, unsignedchar) 0.00

#7 - 03/10/2018 06:18 PM - William Recart

- Status changed from Resolved to In Progress

#8 - 13/12/2018 02:38 PM - William Recart
RPW-MEB-LFR-RFW-00255-LPP V1.1 submitted
#9 - 27/03/2019 11:08 PM - bruno katra

- Status changed from In Progress to Closed

RFW 255 acceptée et signée !!
Sera livrée avec le DP R3.2 corrigé pour avril 2019
